> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agreement



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/agreements/{uuid}
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/agreements/{uuid}:
    get:
      tags:
        - Agreements
      summary: Get Agreement
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: uuid
          in: path
      responses:
        '200':
          description: Agreement details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgreementResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AgreementResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - PRIVACY_POLICY
            - TERMS_AND_CONDITIONS
        version:
          type: integer
        title:
          type: string
        effective_date:
          type:
            - string
            - 'null'
          format: date-time
        content_url:
          type: string
        document_url:
          type:
            - string
            - 'null'
        document_hash:
          type:
            - string
            - 'null'
        applicable_roles:
          type: array
          items:
            type: string
            enum:
              - ADMIN
              - NODE_OPERATOR
              - OPS
              - SERVICE_CONSUMER
              - STAFF
          default: []
        created_by_account_uuid:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - agreement
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - type
        - version
        - title
        - effective_date
        - content_url
        - object
        - created_at
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````